Get custom record type
curl --request GET \
--url https://api.onvy.health/custom_records_types/{type_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onvy.health/custom_records_types/{type_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onvy.health/custom_records_types/{type_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"project_id": "<string>",
"display_name": "<string>",
"description": "<string>",
"data_jsonschema": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}custom-records
Get custom record type
Get a custom record type by ID
GET
/
custom_records_types
/
{type_id}
Get custom record type
Authorizations
OAuth bearer token for Health API authentication
Path Parameters
Custom record type ID
Response
Custom record type details
Developer-defined custom record type identifier (e.g., blood_test_v1)
Project ID
Human-readable name of the custom record type
Optional description of the custom record type
JSON Schema describing the structure of the data field for records of this type
Was this page helpful?